com.smartgwt.client.widgets.events

## Interface HasScrolledHandlers

- All Superinterfaces:
    com.google.gwt.event.shared.HasHandlers
  All Known Implementing Classes:
    AceEditor, ActiveXControl, AdaptiveMenu, AdvancedHiliteEditor, Applet, BatchUploader, BrowserPlugin, Button, Calendar, CalendarView, Canvas, ColorPicker, ColumnTree, CubeGrid, DataView, DateChooser, DateGrid, DateRangeDialog, Deck, DetailViewer, Dialog, DrawKnob, DrawPane, DynamicForm, EdgedCanvas, EditPane, EditTree, EventCanvas, EventWindow, FacetChart, FieldPicker, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, IndicatorCanvas, Label, Layout, LayoutSpacer, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuButton, MenuPalette, MiniNavControl, MultiFilePicker, MultiGroupDialog, MultiGroupPanel, MultiSortDialog, MultiSortPanel, NavigationBar, NavigationButton, NavPanel, PickListMenu, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RecordEditor, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SelectionTreeMenu, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, TilePalette, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, ToolStripSpacer, TransferImgButton, TreeGrid, TreeMenuButton, TreePalette, ViewLoader, VisualBuilder, VLayout, VStack, WidgetCanvas, Window, ZoneCanvas

      public interface HasScrolledHandlers
      extends com.google.gwt.event.shared.HasHandlers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addScrolledHandler(ScrolledHandler handler)` Notification that this component has just scrolled.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addScrolledHandler

          com.google.gwt.event.shared.HandlerRegistration addScrolledHandler(ScrolledHandler handler)

      Notification that this component has just scrolled. Use with observation.

      Fires for both CSS and `"synthetic" scrollbars`.

      Parameters:
        `handler` - the scrolled handler
      Returns:
        `HandlerRegistration` used to remove this handler